> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate risk for Portfolio



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Tradable/CalculateRiskForPortfolio
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Tradable/CalculateRiskForPortfolio:
    post:
      tags:
        - Tradable
      summary: Calculate risk for Portfolio
      operationId: CalculateRiskForPortfolio
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiCalculateRiskForPortfolioRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiCalculateRiskForPortfolioRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiCalculateRiskForPortfolioRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiCalculateRiskForPortfolioRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCalculateRiskResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiCalculateRiskForPortfolioRequest:
      example:
        portfolio_name: portfolio_name
      properties:
        risk_measures:
          items:
            $ref: '#/components/schemas/IRiskMeasure'
          nullable: true
          type: array
        risk_scenarios:
          items:
            $ref: '#/components/schemas/RiskScenario'
          nullable: true
          type: array
        pricing_date:
          format: date-time
          type: string
        market_date:
          format: date-time
          type: string
        market_data_override:
          $ref: '#/components/schemas/MarketDataOverride'
        reporting_currency:
          nullable: true
          type: string
        exclude_historically_derived_vol_surfaces:
          type: boolean
        use_real_time_eq_spot:
          type: boolean
        use_real_time_fx_spot:
          type: boolean
        consolidate_error_messages:
          type: boolean
        pricing_model_manager:
          discriminator:
            mapping:
              Derivitec.Web.Core.Tradables.IPricingModelManager, Derivitec.Web.Core: '#/components/schemas/IPricingModelManager'
              Derivitec.Web.Core.Tradables.PricingModelManager, Derivitec.Web.Core: '#/components/schemas/PricingModelManager'
            propertyName: $type
          required:
            - $type
          type: object
        portfolio_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.ApiCalculateRiskForPortfolioRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiCalculateRiskResponse:
      example:
        result:
          error_message: error_message
          error_messages_by_security_id:
            key:
              - error_messages_by_security_id
              - error_messages_by_security_id
          market_data_error_summary:
            bond_vol_surface_errors:
              - bond_short_name: bond_short_name
                futures_market_id: futures_market_id
              - bond_short_name: bond_short_name
                futures_market_id: futures_market_id
            survival_curve_errors:
              - issuer_id: issuer_id
                default_type: default_type
                currency: currency
                debt_type: debt_type
                issuer_name: issuer_name
              - issuer_id: issuer_id
                default_type: default_type
                currency: currency
                debt_type: debt_type
                issuer_name: issuer_name
            equity_vol_of_var_curve_errors:
              - eq_vol_of_var_index_id: eq_vol_of_var_index_id
                eq_vol_of_var_index_ric: eq_vol_of_var_index_ric
              - eq_vol_of_var_index_id: eq_vol_of_var_index_id
                eq_vol_of_var_index_ric: eq_vol_of_var_index_ric
            commodity_errors:
              - commodity_id: commodity_id
                commodity_name: commodity_name
              - commodity_id: commodity_id
                commodity_name: commodity_name
            credit_swaption_vol_cube_errors:
              - credit_id: credit_id
                name: name
              - credit_id: credit_id
                name: name
            ir_futures_vol_cube_errors:
              - name: name
                futures_market_id: futures_market_id
              - name: name
                futures_market_id: futures_market_id
            credit_event_errors:
              - default_date: default_date
                bond_id: bond_id
              - default_date: default_date
                bond_id: bond_id
            recovery_rate_errors:
              - issuer_id: issuer_id
                bond_id: bond_id
                debt_type: debt_type
                issuer_name: issuer_name
              - issuer_id: issuer_id
                bond_id: bond_id
                debt_type: debt_type
                issuer_name: issuer_name
            rate_asset_errors:
              - rate_asset_id: rate_asset_id
                reference_date: reference_date
                message: message
              - rate_asset_id: rate_asset_id
                reference_date: reference_date
                message: message
            cmdty_vol_surface_errors:
              - commodity_id: commodity_id
                commodity_name: commodity_name
              - commodity_id: commodity_id
                commodity_name: commodity_name
            discount_curve_errors:
              - currency: currency
              - currency: currency
            fx_cross_errors:
              - fx_cross_id: fx_cross_id
              - fx_cross_id: fx_cross_id
            equity_vol_index_errors:
              - eq_vol_index_id: eq_vol_index_id
                eq_vol_index_name: eq_vol_index_name
                eq_vol_index_ric: eq_vol_index_ric
              - eq_vol_index_id: eq_vol_index_id
                eq_vol_index_name: eq_vol_index_name
                eq_vol_index_ric: eq_vol_index_ric
            dividend_index_errors:
              - dividend_index_id: dividend_index_id
                dividend_index_name: dividend_index_name
                dividend_index_ric: dividend_index_ric
              - dividend_index_id: dividend_index_id
                dividend_index_name: dividend_index_name
                dividend_index_ric: dividend_index_ric
            bond_yield_curve_errors:
              - issuer_id: issuer_id
                currency: currency
                debt_type: debt_type
                issuer_name: issuer_name
              - issuer_id: issuer_id
                currency: currency
                debt_type: debt_type
                issuer_name: issuer_name
            equity_asset_errors:
              - notes: notes
                asset_edi_code: asset_edi_code
                asset_ric: asset_ric
                asset_x_ignite_code: asset_x_ignite_code
                asset_id: asset_id
              - notes: notes
                asset_edi_code: asset_edi_code
                asset_ric: asset_ric
                asset_x_ignite_code: asset_x_ignite_code
                asset_id: asset_id
            calendar_errors:
              - calendar_errors
              - calendar_errors
            dividend_index_vol_surface_errors:
              - dividend_index_id: dividend_index_id
                dividend_index_ric: dividend_index_ric
              - dividend_index_id: dividend_index_id
                dividend_index_ric: dividend_index_ric
            fx_fx_correlation_errors:
              - fx_cross2_name: fx_cross2_name
                fx_cross1_id: fx_cross1_id
                fx_cross1_name: fx_cross1_name
                fx_cross2_id: fx_cross2_id
              - fx_cross2_name: fx_cross2_name
                fx_cross1_id: fx_cross1_id
                fx_cross1_name: fx_cross1_name
                fx_cross2_id: fx_cross2_id
            equity_vol_surface_errors:
              - asset_ric: asset_ric
                asset_id: asset_id
              - asset_ric: asset_ric
                asset_id: asset_id
            equity_fx_correlation_errors:
              - eq_asset_id: eq_asset_id
                eq_asset_name: eq_asset_name
                fx_cross_id: fx_cross_id
              - eq_asset_id: eq_asset_id
                eq_asset_name: eq_asset_name
                fx_cross_id: fx_cross_id
            swaption_vol_cube_errors:
              - rate_asset_id: rate_asset_id
              - rate_asset_id: rate_asset_id
            andersen_buffum_parameters_errors:
              - equity_id: equity_id
              - equity_id: equity_id
            credit_index_correlation_errors:
              - index_id: index_id
                index_name: index_name
              - index_id: index_id
                index_name: index_name
            equity_vol_index_vol_surface_errors:
              - eq_vol_index_id: eq_vol_index_id
                eq_vol_index_ric: eq_vol_index_ric
              - eq_vol_index_id: eq_vol_index_id
                eq_vol_index_ric: eq_vol_index_ric
            fx_vol_of_var_curve_errors:
              - fx_vol_of_var_index_ric: fx_vol_of_var_index_ric
                fx_vol_of_var_index_id: fx_vol_of_var_index_id
              - fx_vol_of_var_index_ric: fx_vol_of_var_index_ric
                fx_vol_of_var_index_id: fx_vol_of_var_index_id
            equity_equity_correlation_errors:
              - asset1_name: asset1_name
                asset2_name: asset2_name
                asset1_id: asset1_id
                asset2_id: asset2_id
              - asset1_name: asset1_name
                asset2_name: asset2_name
                asset1_id: asset1_id
                asset2_id: asset2_id
            fx_vol_surface_errors:
              - fx_cross_id: fx_cross_id
              - fx_cross_id: fx_cross_id
          risk_results:
            - error_message: error_message
              rate_asset_id: rate_asset_id
              curve_name: curve_name
              contract:
                identifier: identifier
              tradable_id: tradable_id
              tenor: tenor
              commodity_id:
                name: name
                exchange: exchange
              unit_value_is_valid: true
              fx_pair: fx_pair
              equity_asset:
                code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
              unit_value: ''
              currency: currency
              unit_value_currency: unit_value_currency
              bond_issuer:
                code: code
                identifier_type: DerivitecBondIssuerId
              measure_id: measure_id
              scenario_key: scenario_key
            - error_message: error_message
              rate_asset_id: rate_asset_id
              curve_name: curve_name
              contract:
                identifier: identifier
              tradable_id: tradable_id
              tenor: tenor
              commodity_id:
                name: name
                exchange: exchange
              unit_value_is_valid: true
              fx_pair: fx_pair
              equity_asset:
                code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
              unit_value: ''
              currency: currency
              unit_value_currency: unit_value_currency
              bond_issuer:
                code: code
                identifier_type: DerivitecBondIssuerId
              measure_id: measure_id
              scenario_key: scenario_key
          error_messages:
            - error_messages
            - error_messages
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        result:
          $ref: '#/components/schemas/RiskCalculationResult'
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.ApiCalculateRiskResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    IRiskMeasure:
      discriminator:
        mapping:
          Derivitec.Web.Core.RiskEngine.BorrowCurveDelta, Derivitec.Web.Core: '#/components/schemas/BorrowCurveDelta'
          Derivitec.Web.Core.RiskEngine.BorrowCurveShock, Derivitec.Web.Core: '#/components/schemas/BorrowCurveShock'
          Derivitec.Web.Core.RiskEngine.CmdtyDelta, Derivitec.Web.Core: '#/components/schemas/CmdtyDelta'
          Derivitec.Web.Core.RiskEngine.CmdtyGamma, Derivitec.Web.Core: '#/components/schemas/CmdtyGamma'
          Derivitec.Web.Core.RiskEngine.CmdtyRealisedVol, Derivitec.Web.Core: '#/components/schemas/CmdtyRealisedVol'
          Derivitec.Web.Core.RiskEngine.CmdtyRiskMeasure, Derivitec.Web.Core: '#/components/schemas/CmdtyRiskMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.CmdtyVega, Derivitec.Web.Core: '#/components/schemas/CmdtyVega'
          Derivitec.Web.Core.RiskEngine.CreditDelta, Derivitec.Web.Core: '#/components/schemas/CreditDelta'
          Derivitec.Web.Core.RiskEngine.CreditGamma, Derivitec.Web.Core: '#/components/schemas/CreditGamma'
          Derivitec.Web.Core.RiskEngine.CreditParallelShock, Derivitec.Web.Core: '#/components/schemas/CreditParallelShock'
          Derivitec.Web.Core.RiskEngine.CreditRiskMeasure, Derivitec.Web.Core: '#/components/schemas/CreditRiskMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.CreditSpread, Derivitec.Web.Core: '#/components/schemas/CreditSpread'
          Derivitec.Web.Core.RiskEngine.CreditVega, Derivitec.Web.Core: '#/components/schemas/CreditVega'
          Derivitec.Web.Core.RiskEngine.DividendShock, Derivitec.Web.Core: '#/components/schemas/DividendShock'
          Derivitec.Web.Core.RiskEngine.Duration, Derivitec.Web.Core: '#/components/schemas/Duration'
          Derivitec.Web.Core.RiskEngine.EqCorrelationDelta, Derivitec.Web.Core: '#/components/schemas/EqCorrelationDelta'
          Derivitec.Web.Core.RiskEngine.EqDelta, Derivitec.Web.Core: '#/components/schemas/EqDelta'
          Derivitec.Web.Core.RiskEngine.EqDeltaShares, Derivitec.Web.Core: '#/components/schemas/EqDeltaShares'
          Derivitec.Web.Core.RiskEngine.EqGamma, Derivitec.Web.Core: '#/components/schemas/EqGamma'
          Derivitec.Web.Core.RiskEngine.EqRealisedVol, Derivitec.Web.Core: '#/components/schemas/EqRealisedVol'
          Derivitec.Web.Core.RiskEngine.EqRiskMeasure, Derivitec.Web.Core: '#/components/schemas/EqRiskMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.EqSpotShock, Derivitec.Web.Core: '#/components/schemas/EqSpotShock'
          Derivitec.Web.Core.RiskEngine.EqVanna, Derivitec.Web.Core: '#/components/schemas/EqVanna'
          Derivitec.Web.Core.RiskEngine.EqVega, Derivitec.Web.Core: '#/components/schemas/EqVega'
          Derivitec.Web.Core.RiskEngine.EqVolGamma, Derivitec.Web.Core: '#/components/schemas/EqVolGamma'
          Derivitec.Web.Core.RiskEngine.EqVolSkewDelta, Derivitec.Web.Core: '#/components/schemas/EqVolSkewDelta'
          Derivitec.Web.Core.RiskEngine.EqVolSkewGamma, Derivitec.Web.Core: '#/components/schemas/EqVolSkewGamma'
          Derivitec.Web.Core.RiskEngine.FxDelta, Derivitec.Web.Core: '#/components/schemas/FxDelta'
          Derivitec.Web.Core.RiskEngine.FxDeltaByCross, Derivitec.Web.Core: '#/components/schemas/FxDeltaByCross'
          Derivitec.Web.Core.RiskEngine.FxGamma, Derivitec.Web.Core: '#/components/schemas/FxGamma'
          Derivitec.Web.Core.RiskEngine.FxGammaByCross, Derivitec.Web.Core: '#/components/schemas/FxGammaByCross'
          Derivitec.Web.Core.RiskEngine.FxRealisedVol, Derivitec.Web.Core: '#/components/schemas/FxRealisedVol'
          Derivitec.Web.Core.RiskEngine.FxRiskMeasure, Derivitec.Web.Core: '#/components/schemas/FxRiskMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.FxSpotShock, Derivitec.Web.Core: '#/components/schemas/FxSpotShock'
          Derivitec.Web.Core.RiskEngine.FxSpotVolShock, Derivitec.Web.Core: '#/components/schemas/FxSpotVolShock'
          Derivitec.Web.Core.RiskEngine.FxVanna, Derivitec.Web.Core: '#/components/schemas/FxVanna'
          Derivitec.Web.Core.RiskEngine.FxVega, Derivitec.Web.Core: '#/components/schemas/FxVega'
          Derivitec.Web.Core.RiskEngine.FxVolGamma, Derivitec.Web.Core: '#/components/schemas/FxVolGamma'
          Derivitec.Web.Core.RiskEngine.FxVolShock, Derivitec.Web.Core: '#/components/schemas/FxVolShock'
          Derivitec.Web.Core.RiskEngine.IrBasisShock, Derivitec.Web.Core: '#/components/schemas/IrBasisShock'
          Derivitec.Web.Core.RiskEngine.IrDelta, Derivitec.Web.Core: '#/components/schemas/IrDelta'
          Derivitec.Web.Core.RiskEngine.IrGamma, Derivitec.Web.Core: '#/components/schemas/IrGamma'
          Derivitec.Web.Core.RiskEngine.IrParallelShock, Derivitec.Web.Core: '#/components/schemas/IrParallelShock'
          Derivitec.Web.Core.RiskEngine.IrRiskMeasure, Derivitec.Web.Core: '#/components/schemas/IrRiskMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.IrVega, Derivitec.Web.Core: '#/components/schemas/IrVega'
          Derivitec.Web.Core.RiskEngine.Npv, Derivitec.Web.Core: '#/components/schemas/Npv'
          Derivitec.Web.Core.RiskEngine.PricingDetail, Derivitec.Web.Core: '#/components/schemas/PricingDetail'
          Derivitec.Web.Core.RiskEngine.RealisedVolMeasure, Derivitec.Web.Core: '#/components/schemas/RealisedVolMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.ReferenceVol, Derivitec.Web.Core: '#/components/schemas/ReferenceVol'
          Derivitec.Web.Core.RiskEngine.Rho, Derivitec.Web.Core: '#/components/schemas/Rho'
          Derivitec.Web.Core.RiskEngine.RiskMeasure, Derivitec.Web.Core: '#/components/schemas/RiskMeasureMintlifyShape'
          Derivitec.Web.Core.RiskEngine.ScenarioImpact, Derivitec.Web.Core: '#/components/schemas/ScenarioImpact'
          Derivitec.Web.Core.RiskEngine.ScenarioRiskImpact, Derivitec.Web.Core: '#/components/schemas/ScenarioRiskImpact'
          Derivitec.Web.Core.RiskEngine.Theta, Derivitec.Web.Core: '#/components/schemas/Theta'
          Derivitec.Web.Core.RiskEngine.VegaNotional, Derivitec.Web.Core: '#/components/schemas/VegaNotional'
          Derivitec.Web.Core.Interfaces.ICmdtyRiskMeasure, Derivitec.Web.Core: '#/components/schemas/ICmdtyRiskMeasureMintlifyShape'
          Derivitec.Web.Core.Interfaces.IEqRiskMeasure, Derivitec.Web.Core: '#/components/schemas/IEqRiskMeasureMintlifyShape'
          Derivitec.Web.Core.Interfaces.IFxRiskMeasure, Derivitec.Web.Core: '#/components/schemas/IFxRiskMeasureMintlifyShape'
          Derivitec.Web.Core.Interfaces.IIrRiskMeasure, Derivitec.Web.Core: '#/components/schemas/IIrRiskMeasureMintlifyShape'
          Derivitec.Web.Core.Interfaces.IRiskMeasure, Derivitec.Web.Core: '#/components/schemas/IRiskMeasureMintlifyShape'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/BorrowCurveDelta'
        - $ref: '#/components/schemas/BorrowCurveShock'
        - $ref: '#/components/schemas/CmdtyDelta'
        - $ref: '#/components/schemas/CmdtyGamma'
        - $ref: '#/components/schemas/CmdtyRealisedVol'
        - $ref: '#/components/schemas/CmdtyRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/CmdtyVega'
        - $ref: '#/components/schemas/CreditDelta'
        - $ref: '#/components/schemas/CreditGamma'
        - $ref: '#/components/schemas/CreditParallelShock'
        - $ref: '#/components/schemas/CreditRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/CreditSpread'
        - $ref: '#/components/schemas/CreditVega'
        - $ref: '#/components/schemas/DividendShock'
        - $ref: '#/components/schemas/Duration'
        - $ref: '#/components/schemas/EqCorrelationDelta'
        - $ref: '#/components/schemas/EqDelta'
        - $ref: '#/components/schemas/EqDeltaShares'
        - $ref: '#/components/schemas/EqGamma'
        - $ref: '#/components/schemas/EqRealisedVol'
        - $ref: '#/components/schemas/EqRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/EqSpotShock'
        - $ref: '#/components/schemas/EqVanna'
        - $ref: '#/components/schemas/EqVega'
        - $ref: '#/components/schemas/EqVolGamma'
        - $ref: '#/components/schemas/EqVolSkewDelta'
        - $ref: '#/components/schemas/EqVolSkewGamma'
        - $ref: '#/components/schemas/FxDelta'
        - $ref: '#/components/schemas/FxDeltaByCross'
        - $ref: '#/components/schemas/FxGamma'
        - $ref: '#/components/schemas/FxGammaByCross'
        - $ref: '#/components/schemas/FxRealisedVol'
        - $ref: '#/components/schemas/FxRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/FxSpotShock'
        - $ref: '#/components/schemas/FxSpotVolShock'
        - $ref: '#/components/schemas/FxVanna'
        - $ref: '#/components/schemas/FxVega'
        - $ref: '#/components/schemas/FxVolGamma'
        - $ref: '#/components/schemas/FxVolShock'
        - $ref: '#/components/schemas/IrBasisShock'
        - $ref: '#/components/schemas/IrDelta'
        - $ref: '#/components/schemas/IrGamma'
        - $ref: '#/components/schemas/IrParallelShock'
        - $ref: '#/components/schemas/IrRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/IrVega'
        - $ref: '#/components/schemas/Npv'
        - $ref: '#/components/schemas/PricingDetail'
        - $ref: '#/components/schemas/RealisedVolMeasureMintlifyShape'
        - $ref: '#/components/schemas/ReferenceVol'
        - $ref: '#/components/schemas/Rho'
        - $ref: '#/components/schemas/RiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/ScenarioImpact'
        - $ref: '#/components/schemas/ScenarioRiskImpact'
        - $ref: '#/components/schemas/Theta'
        - $ref: '#/components/schemas/VegaNotional'
        - $ref: '#/components/schemas/ICmdtyRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/IEqRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/IFxRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/IIrRiskMeasureMintlifyShape'
        - $ref: '#/components/schemas/IRiskMeasureMintlifyShape'
    RiskScenario:
      discriminator:
        mapping:
          Derivitec.Web.Core.RiskEngine.RiskScenario, Derivitec.Web.Core: '#/components/schemas/RiskScenarioMintlifyShape'
          Derivitec.Web.Core.RiskEngine.CmdtySpotScenario, Derivitec.Web.Core: '#/components/schemas/CmdtySpotScenario'
          Derivitec.Web.Core.RiskEngine.CmdtyVolScenario, Derivitec.Web.Core: '#/components/schemas/CmdtyVolScenario'
          Derivitec.Web.Core.RiskEngine.CompositeScenario, Derivitec.Web.Core: '#/components/schemas/CompositeScenario'
          Derivitec.Web.Core.RiskEngine.CreditScenario, Derivitec.Web.Core: '#/components/schemas/CreditScenario'
          Derivitec.Web.Core.RiskEngine.EqSpotScenario, Derivitec.Web.Core: '#/components/schemas/EqSpotScenario'
          Derivitec.Web.Core.RiskEngine.EqVolScenario, Derivitec.Web.Core: '#/components/schemas/EqVolScenario'
          Derivitec.Web.Core.RiskEngine.FxSpotScenario, Derivitec.Web.Core: '#/components/schemas/FxSpotScenario'
          Derivitec.Web.Core.RiskEngine.FxVolSurfaceScenario, Derivitec.Web.Core: '#/components/schemas/FxVolSurfaceScenario'
          Derivitec.Web.Core.RiskEngine.HistoricalScenario, Derivitec.Web.Core: '#/components/schemas/HistoricalScenario'
          Derivitec.Web.Core.RiskEngine.IRParallelShockScenario, Derivitec.Web.Core: '#/components/schemas/IRParallelShockScenario'
          Derivitec.Web.Core.RiskEngine.IrRateAssetScenario, Derivitec.Web.Core: '#/components/schemas/IrRateAssetScenario'
          Derivitec.Web.Core.RiskEngine.IRShockScenario, Derivitec.Web.Core: '#/components/schemas/IRShockScenario'
          Derivitec.Web.Core.RiskEngine.JumpToDefaultScenario, Derivitec.Web.Core: '#/components/schemas/JumpToDefaultScenario'
          Derivitec.Web.Core.RiskEngine.ThetaScenario, Derivitec.Web.Core: '#/components/schemas/ThetaScenario'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/RiskScenarioMintlifyShape'
        - $ref: '#/components/schemas/CmdtySpotScenario'
        - $ref: '#/components/schemas/CmdtyVolScenario'
        - $ref: '#/components/schemas/CompositeScenario'
        - $ref: '#/components/schemas/CreditScenario'
        - $ref: '#/components/schemas/EqSpotScenario'
        - $ref: '#/components/schemas/EqVolScenario'
        - $ref: '#/components/schemas/FxSpotScenario'
        - $ref: '#/components/schemas/FxVolSurfaceScenario'
        - $ref: '#/components/schemas/HistoricalScenario'
        - $ref: '#/components/schemas/IRParallelShockScenario'
        - $ref: '#/components/schemas/IrRateAssetScenario'
        - $ref: '#/components/schemas/IRShockScenario'
        - $ref: '#/components/schemas/JumpToDefaultScenario'
        - $ref: '#/components/schemas/ThetaScenario'
    MarketDataOverride:
      example:
        discount_curve_overrides:
          - curve_name: curve_name
          - curve_name: curve_name
        andersen_buffum_parameters_overrides:
          - asset_name:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            andersen_buffum_benchmark_spot: 7.061401241503109
            andersen_buffum_alpha: 2.3021358869347655
            reference_date: '2000-01-23T04:56:07.000+00:00'
          - asset_name:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            andersen_buffum_benchmark_spot: 7.061401241503109
            andersen_buffum_alpha: 2.3021358869347655
            reference_date: '2000-01-23T04:56:07.000+00:00'
        recovery_rate_overrides:
          - value: 1.4658129805029452
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - value: 1.4658129805029452
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
        equity_vol_surface_spot_model: sticky_strike
        fx_spot_overrides_by_currency:
          - value: 3.5571952270680973
            key: key
          - value: 3.5571952270680973
            key: key
        equity_vol_surface_overrides:
          - asset_name:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - asset_name:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
        borrow_curve_overrides:
          - asset_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - asset_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
        index_curve_fitting_overrides:
          - curve_name: curve_name
            instrument_set:
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
            currency: currency
            instrument_quotes:
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
          - curve_name: curve_name
            instrument_set:
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
            currency: currency
            instrument_quotes:
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
        bond_prices:
          - date: '2000-01-23T04:56:07.000+00:00'
            bond_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            is_currency_per_bond_unit: true
            currency: currency
            traded_price: 0.8008281904610115
            is_percentage_of_par: true
          - date: '2000-01-23T04:56:07.000+00:00'
            bond_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            is_currency_per_bond_unit: true
            currency: currency
            traded_price: 0.8008281904610115
            is_percentage_of_par: true
        equity_vol_grid_overrides:
          - asset_id:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - asset_id:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
        index_curve_overrides:
          - curve_name: curve_name
          - curve_name: curve_name
        cmdty_spot_overrides:
          - value: 3.5571952270680973
            key: key
          - value: 3.5571952270680973
            key: key
        discount_curve_fitting_overrides:
          - curve_name: curve_name
            instrument_set:
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
            currency: currency
            instrument_quotes:
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
          - curve_name: curve_name
            instrument_set:
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
              - code: code
                market_identification_code: market_identification_code
                identifier_type: Derivitec
            currency: currency
            instrument_quotes:
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
              - value: 1.4658129805029452
                key:
                  code: code
                  market_identification_code: market_identification_code
                  identifier_type: Derivitec
        equity_spot_overrides:
          - value: 1.4658129805029452
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
          - value: 1.4658129805029452
            key:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
        dividends_overrides:
          - use_forward_dividend_yields: true
            asset_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            dividends:
              declared_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              pay_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              all_in_rates:
                - 1.4658129805029452
                - 1.4658129805029452
              ex_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              div_types:
                - Regular
                - Regular
              confirmed_flags:
                - true
                - true
              cash_divs:
                - 5.962133916683182
                - 5.962133916683182
              div_yields:
                - 5.637376656633329
                - 5.637376656633329
              reference_date: '2000-01-23T04:56:07.000+00:00'
              record_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              currencies:
                - currencies
                - currencies
            dividend_yields:
              - value: 5.637376656633329
                key: 5
              - value: 5.637376656633329
                key: 5
          - use_forward_dividend_yields: true
            asset_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            dividends:
              declared_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              pay_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              all_in_rates:
                - 1.4658129805029452
                - 1.4658129805029452
              ex_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              div_types:
                - Regular
                - Regular
              confirmed_flags:
                - true
                - true
              cash_divs:
                - 5.962133916683182
                - 5.962133916683182
              div_yields:
                - 5.637376656633329
                - 5.637376656633329
              reference_date: '2000-01-23T04:56:07.000+00:00'
              record_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              currencies:
                - currencies
                - currencies
            dividend_yields:
              - value: 5.637376656633329
                key: 5
              - value: 5.637376656633329
                key: 5
        bond_yield_curve_overrides:
          - reference_curve_discount_factors:
              - 0.8008281904610115
              - 0.8008281904610115
            bond_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            reference_curve_name: reference_curve_name
            reference_curve_maturities:
              - 6
              - 6
            bond_issuer: bond_issuer
            debt_type: debt_type
          - reference_curve_discount_factors:
              - 0.8008281904610115
              - 0.8008281904610115
            bond_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            reference_curve_name: reference_curve_name
            reference_curve_maturities:
              - 6
              - 6
            bond_issuer: bond_issuer
            debt_type: debt_type
        fx_spot_currency: fx_spot_currency
      properties:
        bond_prices:
          items:
            $ref: '#/components/schemas/BondDataExternal'
          nullable: true
          type: array
        bond_yield_curve_overrides:
          items:
            $ref: '#/components/schemas/BondYieldCurveOverride'
          nullable: true
          type: array
        discount_curve_overrides:
          items:
            $ref: '#/components/schemas/DiscountCurveOverride'
          nullable: true
          type: array
        discount_curve_fitting_overrides:
          items:
            $ref: '#/components/schemas/CurveFittingOverride'
          nullable: true
          type: array
        index_curve_overrides:
          items:
            $ref: '#/components/schemas/DiscountCurveOverride'
          nullable: true
          type: array
        index_curve_fitting_overrides:
          items:
            $ref: '#/components/schemas/CurveFittingOverride'
          nullable: true
          type: array
        equity_spot_overrides:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        equity_vol_grid_overrides:
          items:
            $ref: '#/components/schemas/EquityVolGrid'
          nullable: true
          type: array
        equity_vol_surface_overrides:
          items:
            $ref: '#/components/schemas/EquityVolSurface'
          nullable: true
          type: array
        equity_vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
        borrow_curve_overrides:
          items:
            $ref: '#/components/schemas/BorrowCurveOverride'
          nullable: true
          type: array
        dividends_overrides:
          items:
            $ref: '#/components/schemas/DividendsOverride'
          nullable: true
          type: array
        cmdty_spot_overrides:
          items:
            $ref: '#/components/schemas/StringDoubleKeyValuePair'
          nullable: true
          type: array
        fx_spot_currency:
          nullable: true
          type: string
        fx_spot_overrides_by_currency:
          items:
            $ref: '#/components/schemas/StringDoubleKeyValuePair'
          nullable: true
          type: array
        andersen_buffum_parameters_overrides:
          items:
            $ref: '#/components/schemas/AndersenBuffumParameters'
          nullable: true
          type: array
        recovery_rate_overrides:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.MarketDataOverride,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    IPricingModelManager:
      discriminator:
        mapping:
          Derivitec.Web.Core.Tradables.IPricingModelManager, Derivitec.Web.Core: '#/components/schemas/IPricingModelManagerMintlifyShape'
          Derivitec.Web.Core.Tradables.PricingModelManager, Derivitec.Web.Core: '#/components/schemas/PricingModelManager'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/IPricingModelManagerMintlifyShape'
        - $ref: '#/components/schemas/PricingModelManager'
    PricingModelManager:
      properties:
        ascot_model_params:
          $ref: '#/components/schemas/AscotModelParams'
        convertible_bond_model_params:
          $ref: '#/components/schemas/ConvertibleBondModelParams'
        eq_best_of_option_model_params:
          $ref: '#/components/schemas/EqBestOfOptionModelParams'
        eq_basket_option_model_params:
          $ref: '#/components/schemas/EqBasketOptionModelParams'
        fx_basket_option_model_params:
          $ref: '#/components/schemas/FxBasketOptionModelParams'
        fx_barrier_ma_model_params:
          $ref: '#/components/schemas/FxBarrierMAModelParams'
        eq_barrier_ma_model_params:
          $ref: '#/components/schemas/EqBarrierMAModelParams'
        eq_barrier_model_params:
          $ref: '#/components/schemas/EqBarrierModelParams'
        eq_autocallable_worst_of_option_model_params:
          $ref: '#/components/schemas/EqAutocallableWorstOfOptionModelParams'
        eq_corridor_variance_swap_model_params:
          $ref: '#/components/schemas/EqCorridorVarianceSwapModelParams'
        eq_conditional_corridor_variance_swap_model_params:
          $ref: '#/components/schemas/EqConditionalCorridorVarianceSwapModelParams'
        eq_option_american_model_params:
          $ref: '#/components/schemas/EqOptionAmericanModelParams'
        eq_option_model_params:
          $ref: '#/components/schemas/EqOptionModelParams'
        eq_fva_model_params:
          $ref: '#/components/schemas/EqFVAModelParams'
        eq_fva_swaption_model_params:
          $ref: '#/components/schemas/EqFVASwaptionModelParams'
        fx_fva_model_params:
          $ref: '#/components/schemas/FxFVAModelParams'
        eq_outperformance_option_model_params:
          $ref: '#/components/schemas/EqOutperformanceOptionModelParams'
        fx_double_knockout_digital_ma_model_params:
          $ref: '#/components/schemas/FxDoubleKnockoutDigitalMAModelParams'
        eq_swap_model_params:
          $ref: '#/components/schemas/EqSwapModelParams'
        eq_variance_swap_model_params:
          $ref: '#/components/schemas/EqVarianceSwapModelParams'
        eq_volatility_swap_model_params:
          $ref: '#/components/schemas/EqVolatilitySwapModelParams'
        fx_option_model_params:
          $ref: '#/components/schemas/FxOptionModelParams'
        fx_option_american_model_params:
          $ref: '#/components/schemas/FxOptionAmericanModelParams'
        fx_variance_swap_model_params:
          $ref: '#/components/schemas/FxVarianceSwapModelParams'
        fx_option_on_realised_volatility_model_params:
          $ref: '#/components/schemas/FxOptionOnRealisedVolatilityModelParams'
        fx_volatility_swap_model_params:
          $ref: '#/components/schemas/FxVolatilitySwapModelParams'
        future_model_params:
          $ref: '#/components/schemas/FutureModelParams'
        eq_correlation_swap_model_params:
          $ref: '#/components/schemas/EqCorrelationSwapModelParams'
        fx_correlation_swap_model_params:
          $ref: '#/components/schemas/FxCorrelationSwapModelParams'
        eq_corridor_volatility_swap_model_params:
          $ref: '#/components/schemas/EqCorridorVolatilitySwapModelParams'
        eq_geometric_variance_swap_model_params:
          $ref: '#/components/schemas/EqGeometricVarianceSwapModelParams'
        ir_swaption_model_params:
          $ref: '#/components/schemas/IrSwaptionModelParams'
        bond_option_model_params:
          $ref: '#/components/schemas/OptionModelParams'
        cmdty_option_model_params:
          $ref: '#/components/schemas/OptionModelParams'
        ir_option_model_params:
          $ref: '#/components/schemas/OptionModelParams'
        ir_cap_floor_model_params:
          $ref: '#/components/schemas/IrCapFloorModelParams'
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.PricingModelManager,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    RiskCalculationResult:
      example:
        error_message: error_message
        error_messages_by_security_id:
          key:
            - error_messages_by_security_id
            - error_messages_by_security_id
        market_data_error_summary:
          bond_vol_surface_errors:
            - bond_short_name: bond_short_name
              futures_market_id: futures_market_id
            - bond_short_name: bond_short_name
              futures_market_id: futures_market_id
          survival_curve_errors:
            - issuer_id: issuer_id
              default_type: default_type
              currency: currency
              debt_type: debt_type
              issuer_name: issuer_name
            - issuer_id: issuer_id
              default_type: default_type
              currency: currency
              debt_type: debt_type
              issuer_name: issuer_name
          equity_vol_of_var_curve_errors:
            - eq_vol_of_var_index_id: eq_vol_of_var_index_id
              eq_vol_of_var_index_ric: eq_vol_of_var_index_ric
            - eq_vol_of_var_index_id: eq_vol_of_var_index_id
              eq_vol_of_var_index_ric: eq_vol_of_var_index_ric
          commodity_errors:
            - commodity_id: commodity_id
              commodity_name: commodity_name
            - commodity_id: commodity_id
              commodity_name: commodity_name
          credit_swaption_vol_cube_errors:
            - credit_id: credit_id
              name: name
            - credit_id: credit_id
              name: name
          ir_futures_vol_cube_errors:
            - name: name
              futures_market_id: futures_market_id
            - name: name
              futures_market_id: futures_market_id
          credit_event_errors:
            - default_date: default_date
              bond_id: bond_id
            - default_date: default_date
              bond_id: bond_id
          recovery_rate_errors:
            - issuer_id: issuer_id
              bond_id: bond_id
              debt_type: debt_type
              issuer_name: issuer_name
            - issuer_id: issuer_id
              bond_id: bond_id
              debt_type: debt_type
              issuer_name: issuer_name
          rate_asset_errors:
            - rate_asset_id: rate_asset_id
              reference_date: reference_date
              message: message
            - rate_asset_id: rate_asset_id
              reference_date: reference_date
              message: message
          cmdty_vol_surface_errors:
            - commodity_id: commodity_id
              commodity_name: commodity_name
            - commodity_id: commodity_id
              commodity_name: commodity_name
          discount_curve_errors:
            - currency: currency
            - currency: currency
          fx_cross_errors:
            - fx_cross_id: fx_cross_id
            - fx_cross_id: fx_cross_id
          equity_vol_index_errors:
            - eq_vol_index_id: eq_vol_index_id
              eq_vol_index_name: eq_vol_index_name
              eq_vol_index_ric: eq_vol_index_ric
            - eq_vol_index_id: eq_vol_index_id
              eq_vol_index_name: eq_vol_index_name
              eq_vol_index_ric: eq_vol_index_ric
          dividend_index_errors:
            - dividend_index_id: dividend_index_id
              dividend_index_name: dividend_index_name
              dividend_index_ric: dividend_index_ric
            - dividend_index_id: dividend_index_id
              dividend_index_name: dividend_index_name
              dividend_index_ric: dividend_index_ric
          bond_yield_curve_errors:
            - issuer_id: issuer_id
              currency: currency
              debt_type: debt_type
              issuer_name: issuer_name
            - issuer_id: issuer_id
              currency: currency
              debt_type: debt_type
              issuer_name: issuer_name
          equity_asset_errors:
            - notes: notes
              asset_edi_code: asset_edi_code
              asset_ric: asset_ric
              asset_x_ignite_code: asset_x_ignite_code
              asset_id: asset_id
            - notes: notes
              asset_edi_code: asset_edi_code
              asset_ric: asset_ric
              asset_x_ignite_code: asset_x_ignite_code
              asset_id: asset_id
          calendar_errors:
            - calendar_errors
            - calendar_errors
          dividend_index_vol_surface_errors:
            - dividend_index_id: dividend_index_id
              dividend_index_ric: dividend_index_ric
            - dividend_index_id: dividend_index_id
              dividend_index_ric: dividend_index_ric
          fx_fx_correlation_errors:
            - fx_cross2_name: fx_cross2_name
              fx_cross1_id: fx_cross1_id
              fx_cross1_name: fx_cross1_name
              fx_cross2_id: fx_cross2_id
            - fx_cross2_name: fx_cross2_name
              fx_cross1_id: fx_cross1_id
              fx_cross1_name: fx_cross1_name
              fx_cross2_id: fx_cross2_id
          equity_vol_surface_errors:
            - asset_ric: asset_ric
              asset_id: asset_id
            - asset_ric: asset_ric
              asset_id: asset_id
          equity_fx_correlation_errors:
            - eq_asset_id: eq_asset_id
              eq_asset_name: eq_asset_name
              fx_cross_id: fx_cross_id
            - eq_asset_id: eq_asset_id
              eq_asset_name: eq_asset_name
              fx_cross_id: fx_cross_id
          swaption_vol_cube_errors:
            - rate_asset_id: rate_asset_id
            - rate_asset_id: rate_asset_id
          andersen_buffum_parameters_errors:
            - equity_id: equity_id
            - equity_id: equity_id
          credit_index_correlation_errors:
            - index_id: index_id
              index_name: index_name
            - index_id: index_id
              index_name: index_name
          equity_vol_index_vol_surface_errors:
            - eq_vol_index_id: eq_vol_index_id
              eq_vol_index_ric: eq_vol_index_ric
            - eq_vol_index_id: eq_vol_index_id
              eq_vol_index_ric: eq_vol_index_ric
          fx_vol_of_var_curve_errors:
            - fx_vol_of_var_index_ric: fx_vol_of_var_index_ric
              fx_vol_of_var_index_id: fx_vol_of_var_index_id
            - fx_vol_of_var_index_ric: fx_vol_of_var_index_ric
              fx_vol_of_var_index_id: fx_vol_of_var_index_id
          equity_equity_correlation_errors:
            - asset1_name: asset1_name
              asset2_name: asset2_name
              asset1_id: asset1_id
              asset2_id: asset2_id
            - asset1_name: asset1_name
              asset2_name: asset2_name
              asset1_id: asset1_id
              asset2_id: asset2_id
          fx_vol_surface_errors:
            - fx_cross_id: fx_cross_id
            - fx_cross_id: fx_cross_id
        risk_results:
          - error_message: error_message
            rate_asset_id: rate_asset_id
            curve_name: curve_name
            contract:
              identifier: identifier
            tradable_id: tradable_id
            tenor: tenor
            commodity_id:
              name: name
              exchange: exchange
            unit_value_is_valid: true
            fx_pair: fx_pair
            equity_asset:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            unit_value: ''
            currency: currency
            unit_value_currency: unit_value_currency
            bond_issuer:
              code: code
              identifier_type: DerivitecBondIssuerId
            measure_id: measure_id
            scenario_key: scenario_key
          - error_message: error_message
            rate_asset_id: rate_asset_id
            curve_name: curve_name
            contract:
              identifier: identifier
            tradable_id: tradable_id
            tenor: tenor
            commodity_id:
              name: name
              exchange: exchange
            unit_value_is_valid: true
            fx_pair: fx_pair
            equity_asset:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            unit_value: ''
            currency: currency
            unit_value_currency: unit_value_currency
            bond_issuer:
              code: code
              identifier_type: DerivitecBondIssuerId
            measure_id: measure_id
            scenario_key: scenario_key
        error_messages:
          - error_messages
          - error_messages
      properties:
        error_message:
          nullable: true
          type: string
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        error_messages_by_security_id:
          additionalProperties:
            items:
              type: string
            type: array
          nullable: true
          type: object
        market_data_error_summary:
          $ref: '#/components/schemas/MarketDataErrorSummary'
        risk_results:
          items:
            $ref: '#/components/schemas/RiskResult'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.RiskCalculationResult,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    BorrowCurveDelta:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        tenors:
          items:
            type: string
          nullable: true
          type: array
        shock_size:
          format: double
          type: number
        use_proportional_shocks:
          type: boolean
        use_forward_rate_bumps:
          type: boolean
        use_contract_currency:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.BorrowCurveDelta, Derivitec.Web.Core
      required:
        - $type
      type: object
    BorrowCurveShock:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        use_contract_currency:
          readOnly: true
          type: boolean
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        use_proportional_shocks:
          type: boolean
        use_forward_rate_bumps:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.BorrowCurveShock, Derivitec.Web.Core
      required:
        - $type
      type: object
    CmdtyDelta:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        sticky_smile_ratio:
          format: double
          type: number
        use_contract_currency:
          type: boolean
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CmdtyDelta, Derivitec.Web.Core
      required:
        - $type
      type: object
    CmdtyGamma:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        sticky_smile_ratio:
          format: double
          type: number
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
        use_contract_currency:
          type: boolean
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CmdtyGamma, Derivitec.Web.Core
      required:
        - $type
      type: object
    CmdtyRealisedVol:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        lookback_window:
          format: int32
          readOnly: true
          type: integer
        use_percentage_points:
          readOnly: true
          type: boolean
        decay_period:
          format: int32
          readOnly: true
          type: integer
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CmdtyRealisedVol, Derivitec.Web.Core
    CmdtyRiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CmdtyRiskMeasure, Derivitec.Web.Core
    CmdtyVega:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CmdtyVega, Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditDelta:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        is_spread_based:
          type: boolean
        shock_size:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CreditDelta, Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditGamma:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        is_spread_based:
          type: boolean
        shock_size:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CreditGamma, Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditParallelShock:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        use_contract_currency:
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.CreditParallelShock,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditRiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.CreditRiskMeasure,
              Derivitec.Web.Core
    CreditSpread:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        reference_bond_yield_curve_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CreditSpread, Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditVega:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CreditVega, Derivitec.Web.Core
      required:
        - $type
      type: object
    DividendShock:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        use_contract_currency:
          readOnly: true
          type: boolean
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        all_in_rate_shock_size:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.DividendShock, Derivitec.Web.Core
      required:
        - $type
      type: object
    Duration:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.Duration, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqCorrelationDelta:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        use_contract_currency:
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.EqCorrelationDelta,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EqDelta:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        use_contract_currency:
          readOnly: true
          type: boolean
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        sticky_smile_ratio:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqDelta, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqDeltaShares:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        use_contract_currency:
          readOnly: true
          type: boolean
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqDeltaShares, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqGamma:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        use_contract_currency:
          readOnly: true
          type: boolean
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        sticky_smile_ratio:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqGamma, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqRealisedVol:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        lookback_window:
          format: int32
          readOnly: true
          type: integer
        use_percentage_points:
          readOnly: true
          type: boolean
        decay_period:
          format: int32
          readOnly: true
          type: integer
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqRealisedVol, Derivitec.Web.Core
    EqRiskMeasureMintlifyShape:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        use_contract_currency:
          readOnly: true
          type: boolean
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqRiskMeasure, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqSpotShock:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        use_contract_currency:
          readOnly: true
          type: boolean
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        sticky_smile_ratio:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqSpotShock, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqVanna:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        use_contract_currency:
          readOnly: true
          type: boolean
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        use_proportional_vol_bumps:
          type: boolean
        use_parallel_shift:
          type: boolean
        shock_equity_vol_indices:
          type: boolean
        sticky_smile_ratio:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqVanna, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqVega:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        use_contract_currency:
          readOnly: true
          type: boolean
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        use_proportional_vol_bumps:
          type: boolean
        use_parallel_shift:
          type: boolean
        shock_equity_vol_indices:
          type: boolean
        tenors:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqVega, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqVolGamma:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        use_contract_currency:
          readOnly: true
          type: boolean
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        use_proportional_vol_bumps:
          type: boolean
        use_parallel_shift:
          type: boolean
        shock_equity_vol_indices:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqVolGamma, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqVolSkewDelta:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        shock_equity_vol_indices:
          type: boolean
        use_contract_currency:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqVolSkewDelta, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqVolSkewGamma:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        shock_equity_vol_indices:
          type: boolean
        use_contract_currency:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqVolSkewGamma, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxDelta:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        use_inverse_currency_shock:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxDelta, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxDeltaByCross:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_by_quoted_fx_cross_id:
          type: boolean
        shock_size:
          format: double
          type: number
        use_contract_currency:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxDeltaByCross, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxGamma:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        use_inverse_currency_shock:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxGamma, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxGammaByCross:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_by_quoted_fx_cross_id:
          type: boolean
        shock_size:
          format: double
          type: number
        use_contract_currency:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxGammaByCross, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxRealisedVol:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        lookback_window:
          format: int32
          readOnly: true
          type: integer
        use_percentage_points:
          readOnly: true
          type: boolean
        decay_period:
          format: int32
          readOnly: true
          type: integer
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxRealisedVol, Derivitec.Web.Core
    FxRiskMeasureMintlifyShape:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxRiskMeasure, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxSpotShock:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        calculate_price_changes:
          type: boolean
        include_reporting_currency_shock:
          type: boolean
        use_inverse_currency_shock:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxSpotShock, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxSpotVolShock:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        calculate_price_changes:
          type: boolean
        include_reporting_currency_shock:
          type: boolean
        spot_shock_size:
          format: double
          type: number
        use_implied_vol_bumps:
          type: boolean
        use_proportional_vol_bumps:
          type: boolean
        vol_shock_size:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxSpotVolShock, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxVanna:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        use_implied_vol_bumps:
          type: boolean
        use_inverse_currency_shock:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxVanna, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxVega:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        tenors:
          items:
            type: string
          nullable: true
          type: array
        use_implied_vol_bumps:
          type: boolean
        use_inverse_currency_shock:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxVega, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxVolGamma:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        shock_size:
          format: double
          type: number
        use_implied_vol_bumps:
          type: boolean
        use_inverse_currency_shock:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxVolGamma, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxVolShock:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          readOnly: true
          type: string
        is_default_vol_surface_spot_model:
          readOnly: true
          type: boolean
        tenors:
          items:
            type: string
          nullable: true
          type: array
        vol_shock_func:
          $ref: '#/components/schemas/IVolShockFunc'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxVolShock, Derivitec.Web.Core
      required:
        - $type
      type: object
    IrBasisShock:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        use_proportional_shocks:
          type: boolean
        basis_rate_asset_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.IrBasisShock, Derivitec.Web.Core
      required:
        - $type
      type: object
    IrDelta:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        tenors:
          items:
            type: string
          nullable: true
          type: array
        shock_size:
          format: double
          type: number
        use_proportional_shocks:
          type: boolean
        use_forward_rate_bumps:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.IrDelta, Derivitec.Web.Core
      required:
        - $type
      type: object
    IrGamma:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.IrGamma, Derivitec.Web.Core
      required:
        - $type
      type: object
    IrParallelShock:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        use_proportional_shocks:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.IrParallelShock, Derivitec.Web.Core
      required:
        - $type
      type: object
    IrRiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.IrRiskMeasure, Derivitec.Web.Core
    IrVega:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        vol_type:
          enum:
            - black
            - bachelier
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.IrVega, Derivitec.Web.Core
      required:
        - $type
      type: object
    Npv:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        return_futures_price:
          type: boolean
        return_percent_price:
          type: boolean
        use_contract_currency:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.Npv, Derivitec.Web.Core
      required:
        - $type
      type: object
    PricingDetail:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        pricing_detail_type:
          enum:
            - underlying_price
            - reference_vol
            - futures_price
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.PricingDetail, Derivitec.Web.Core
      required:
        - $type
      type: object
    RealisedVolMeasureMintlifyShape:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        lookback_window:
          format: int32
          readOnly: true
          type: integer
        use_percentage_points:
          readOnly: true
          type: boolean
        decay_period:
          format: int32
          readOnly: true
          type: integer
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.RealisedVolMeasure,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ReferenceVol:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.ReferenceVol, Derivitec.Web.Core
    Rho:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        shock_size:
          format: double
          type: number
        use_contract_currency:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.Rho, Derivitec.Web.Core
      required:
        - $type
      type: object
    RiskMeasureMintlifyShape:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.RiskMeasure, Derivitec.Web.Core
      required:
        - $type
      type: object
    ScenarioImpact:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        calculate_price_changes:
          type: boolean
        scale_factor:
          format: double
          type: number
        scenario:
          $ref: '#/components/schemas/RiskScenario'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.ScenarioImpact, Derivitec.Web.Core
      required:
        - $type
      type: object
    ScenarioRiskImpact:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        calculate_risk_changes:
          type: boolean
        risk_measure:
          $ref: '#/components/schemas/IRiskMeasure'
        scale_factor:
          format: double
          type: number
        scenario:
          $ref: '#/components/schemas/RiskScenario'
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.ScenarioRiskImpact,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    Theta:
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        roll_days:
          format: int32
          type: integer
        rebase_cash_flows:
          type: boolean
        ignore_credit_spread_term_structure:
          type: boolean
        use_contract_currency:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.Theta, Derivitec.Web.Core
      required:
        - $type
      type: object
    VegaNotional:
      required:
        - $type
      type: object
      properties:
        risk_measure_id_stored:
          nullable: true
          readOnly: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.VegaNotional, Derivitec.Web.Core
    ICmdtyRiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      properties:
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Interfaces.ICmdtyRiskMeasure,
              Derivitec.Web.Core
    IEqRiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      properties:
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Interfaces.IEqRiskMeasure, Derivitec.Web.Core
    IFxRiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      properties:
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Interfaces.IFxRiskMeasure, Derivitec.Web.Core
    IIrRiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      properties:
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Interfaces.IIrRiskMeasure, Derivitec.Web.Core
    IRiskMeasureMintlifyShape:
      required:
        - $type
      type: object
      properties:
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Interfaces.IRiskMeasure, Derivitec.Web.Core
    RiskScenarioMintlifyShape:
      example:
        scenario_name: scenario_name
        scenario_description: scenario_description
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.RiskScenario, Derivitec.Web.Core
      required:
        - $type
      type: object
    CmdtySpotScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        shock_size:
          format: double
          type: number
        sticky_smile_ratio:
          format: double
          type: number
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.CmdtySpotScenario,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CmdtyVolScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        shock_size:
          format: double
          type: number
        use_proportional_vol_bump:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CmdtyVolScenario, Derivitec.Web.Core
      required:
        - $type
      type: object
    CompositeScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        scenarios:
          items:
            $ref: '#/components/schemas/RiskScenario'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.CompositeScenario,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        reference_issuer_identifier:
          $ref: '#/components/schemas/IssuerIdentifier'
        reference_currency:
          nullable: true
          type: string
        reference_debt_type:
          nullable: true
          type: string
        tenors:
          items:
            type: string
          nullable: true
          type: array
        credit_spread_floor:
          format: double
          type: number
        global_shock:
          format: double
          type: number
        shocks_by_issuer_identifier:
          items:
            $ref: '#/components/schemas/IssuerIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        use_proportional_shocks:
          type: boolean
        use_forward_rate_bumps:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.CreditScenario, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqSpotScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        shock_size:
          format: double
          type: number
        shocks_by_equity_asset:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
            - sticky_smile_ratio
          type: string
        sticky_smile_ratio:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqSpotScenario, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqVolScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        bumped_vol_floor:
          format: double
          type: number
        shock_size:
          format: double
          type: number
        use_parallel_shift:
          type: boolean
        use_proportional_vol_bump:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.EqVolScenario, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxSpotScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        shock_size:
          format: double
          type: number
        currency:
          nullable: true
          type: string
        vol_surface_spot_model:
          enum:
            - sticky_strike
            - sticky_delta
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.FxSpotScenario, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxVolSurfaceScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        currency_to_bump:
          nullable: true
          type: string
        vol_shock:
          format: double
          type: number
        use_proportional_vol_bumps:
          type: boolean
        counter_currency:
          nullable: true
          type: string
        vol_shock_funcs_by_fx_pair:
          items:
            $ref: '#/components/schemas/StringIVolShockFuncKeyValuePair'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.FxVolSurfaceScenario,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    HistoricalScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        end_date:
          type: string
        start_date:
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.HistoricalScenario,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    IRParallelShockScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        global_shock:
          format: double
          type: number
        shocks_by_currency:
          additionalProperties:
            format: double
            type: number
          nullable: true
          type: object
        use_proportional_shocks:
          readOnly: true
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.IRParallelShockScenario,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    IrRateAssetScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        global_shock:
          format: double
          type: number
        shocks_by_rate_asset_id:
          items:
            $ref: '#/components/schemas/StringDiscountCurveBumpKeyValuePair'
          nullable: true
          type: array
        use_proportional_shocks:
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.IrRateAssetScenario,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    IRShockScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        global_shock:
          $ref: '#/components/schemas/DiscountCurveBump'
        shocks_by_currency:
          items:
            $ref: '#/components/schemas/StringDiscountCurveBumpKeyValuePair'
          nullable: true
          type: array
        bump_discount_curves:
          type: boolean
        bump_bond_yield_curves:
          type: boolean
        bump_equity_assets:
          type: boolean
        bump_equity_vol_indices:
          type: boolean
        bump_rate_assets:
          type: boolean
        bump_fx_crosses:
          type: boolean
        bump_commodities:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.IRShockScenario, Derivitec.Web.Core
      required:
        - $type
      type: object
    JumpToDefaultScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        recovery_rates_by_issuer_identifier:
          items:
            $ref: '#/components/schemas/IssuerIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.RiskEngine.JumpToDefaultScenario,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ThetaScenario:
      properties:
        scenario_description:
          nullable: true
          type: string
        scenario_name:
          nullable: true
          type: string
        roll_days:
          format: int32
          type: integer
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.RiskEngine.ThetaScenario, Derivitec.Web.Core
      required:
        - $type
      type: object
    BondDataExternal:
      example:
        date: '2000-01-23T04:56:07.000+00:00'
        bond_identifier:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        is_currency_per_bond_unit: true
        currency: currency
        traded_price: 0.8008281904610115
        is_percentage_of_par: true
      properties:
        provider_id:
          nullable: true
          type: string
        bond_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        currency:
          nullable: true
          type: string
        traded_price:
          format: double
          type: number
        date:
          format: date-time
          type: string
        is_percentage_of_par:
          type: boolean
[...]
